*** bug/class.tx_install.php	2007-04-03 14:34:54.000000000 +0200
--- fixed/class.tx_install.php	2007-04-03 14:31:21.000000000 +0200
***************
*** 2941,2946 ****
--- 2941,2947 ----
  					$imageProc->makeBox($im,$conf,$workArea);
  					$output = $imageProc->tempPath.$imageProc->filenamePrefix.t3lib_div::shortMD5('GDbox').'.'.$imageProc->gifExtension;
  					$imageProc->ImageWrite($im,$output);
+ 					t3lib_div::fixPermissions($output);
  					$fileInfo = $imageProc->getImageDimensions($output);
  					$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
  					$this->message($headCode,'Create simple image',$result[0],$result[1]);
***************
*** 2958,2963 ****
--- 2959,2965 ----
  					$imageProc->makeBox($im,$conf,$workArea);
  					$output = $imageProc->tempPath.$imageProc->filenamePrefix.t3lib_div::shortMD5('GDfromImage+box').'.'.$imageProc->gifExtension;
  					$imageProc->ImageWrite($im,$output);
+ 					t3lib_div::fixPermissions($output);
  					$fileInfo = $imageProc->getImageDimensions($output);
  					$GDWithBox_filesize = @filesize($output);
  					$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
***************
*** 2985,2990 ****
--- 2987,2993 ----
  
  					$output = $imageProc->tempPath.$imageProc->filenamePrefix.t3lib_div::shortMD5('GDwithText').'.'.$imageProc->gifExtension;
  					$imageProc->ImageWrite($im,$output);
+ 					t3lib_div::fixPermissions($output);
  					$fileInfo = $imageProc->getImageDimensions($output);
  					$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
  					$this->message($headCode,'Render text with TrueType font',$result[0],$result[1]);
***************
*** 2998,3003 ****
--- 3001,3007 ----
  						$output = $imageProc->tempPath.$imageProc->filenamePrefix.t3lib_div::shortMD5('GDwithText-niceText').'.'.$imageProc->gifExtension;
  						$imageProc->ImageWrite($im,$output);
  						$fileInfo = $imageProc->getImageDimensions($output);
+ 						t3lib_div::fixPermissions($output);
  						$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands, array("Note on 'niceText':","'niceText' is a concept that tries to improve the antialiasing of the rendered type by actually rendering the textstring in double size on a black/white mask, downscaling the mask and masking the text onto the image through this mask. This involves ImageMagick 'combine'/'composite' and 'convert'."));
  						$this->message($headCode,"Render text with TrueType font using 'niceText' option",
  							"(If the image has another background color than the image above (eg. dark background color with light text) then you will have to set TYPO3_CONF_VARS[GFX][im_imvMaskState]=1)<br /><br />".
***************
*** 3026,3031 ****
--- 3030,3036 ----
  
  						$output = $imageProc->tempPath.$imageProc->filenamePrefix.t3lib_div::shortMD5('GDwithText-niceText-shadow').'.'.$imageProc->gifExtension;
  						$imageProc->ImageWrite($im,$output);
+ 						t3lib_div::fixPermissions($output);
  						$fileInfo = $imageProc->getImageDimensions($output);
  						$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands, array('Note on drop shadows:','Drop shadows are done my using ImageMagick to blur a mask through which the drop shadow is generated. The blurring of the mask only works in ImageMagick 4.2.9 and <i>not</i> ImageMagick 5 - which is why you may see a hard and not soft shadow.'));
  						$this->message($headCode,"Render 'niceText' with a shadow under",
